package zarith

  1. Overview
  2. Docs
Implements arithmetic and logical operations over arbitrary-precision integers

Install

Dune Dependency

Authors

Maintainers

Sources

release-1.13.tar.gz
md5=b3529c5de89ab8c026943f73f6195ad9
sha512=a562fa8bf4f5ef44f2af6b9a8f028182fd184c89f8c41455acdc02851cc0fc3124d3776c0de930e8d09cd5d6d88cc689f80f4b597068a0611131f45d057b101f

Description

The Zarith library implements arithmetic and logical operations over arbitrary-precision integers. It uses GMP to efficiently implement arithmetic over big integers. Small integers are represented as Caml unboxed integers, for speed and space economy.

Published: 20 Jul 2023

Dependencies (3)

  1. conf-gmp
  2. ocamlfind
  3. ocaml >= "4.04.0"

Dev Dependencies

None

  1. alonzo
  2. alt-ergo < "2.3.0"
  3. alt-ergo-free < "2.3.3"
  4. alt-ergo-lib
  5. alt-ergo-lib-free
  6. altgr-ergo < "2.3.0"
  7. anders >= "1.1.1"
  8. archsat
  9. asli
  10. asn1-combinators
  11. awa
  12. awsm
  13. bam
  14. bamboo < "0.0.02"
  15. bap < "1.0.0"
  16. bap-mips >= "2.2.0"
  17. bap-patterns
  18. bap-powerpc
  19. bap-primus-random >= "2.2.0"
  20. bap-primus-symbolic-executor
  21. bap-radare2
  22. bap-std
  23. bigdecimal
  24. bignum >= "v0.13.0"
  25. binsec
  26. bitpack_serializer
  27. bitvec
  28. bitwuzla >= "1.0.0"
  29. bitwuzla-cxx
  30. bls12-381 < "18.0"
  31. bls12-381-gen
  32. bls12-381-js-gen < "0.4.2"
  33. bls12-381-legacy
  34. bls12-381-unix
  35. bn128
  36. bt
  37. caisar
  38. calcium
  39. calli
  40. catala
  41. cborl
  42. class_group_vdf
  43. cloudi >= "2.0.6"
  44. clp_operations
  45. colibri2
  46. colibrics
  47. colibrilib
  48. coq >= "8.13.0" & < "8.17.0"
  49. coq-core
  50. cryptokit >= "1.11"
  51. ctypes-zarith
  52. data-encoding
  53. decimal
  54. dht < "0.2.0"
  55. dolmen_model
  56. encoding
  57. exenum >= "0.84"
  58. farith
  59. feat
  60. ff
  61. ff-pbt
  62. ff-sig
  63. flint
  64. fm-simplex-plugin
  65. frama-c >= "11.0" & != "15.0"
  66. frama-c-base >= "15.0"
  67. frama-clang
  68. fstar >= "0.9.3.0-beta1"
  69. gemini
  70. goblint >= "1.1.1"
  71. goblint-cil >= "1.7.4"
  72. hacl
  73. hacl-star
  74. hardcaml >= "v0.12.0"
  75. jasmin
  76. jose
  77. karamel
  78. key-parsers
  79. kremlin < "transition"
  80. lem
  81. letsencrypt < "0.3.0"
  82. libzipperposition < "2.1"
  83. logtk
  84. malfunction
  85. mc2
  86. mec
  87. mirage-crypto-pk
  88. nocrypto
  89. obeam
  90. orgeat
  91. ortac-runtime
  92. osdp
  93. parsley
  94. pilat >= "1.3"
  95. pkcs11 >= "0.10.0"
  96. polynomial
  97. ppx_pbt >= "0.2.1"
  98. ppx_wideopen
  99. prbnmcn-basic-structures
  100. prbnmcn-proptest
  101. primes
  102. profiler-plugin
  103. randii
  104. rfc7748
  105. safemoney
  106. sail < "0.15"
  107. satML-plugin
  108. scaml
  109. sexp_grammar >= "v0.16.0"
  110. solidity-common
  111. tezos-base58
  112. tezos-context-hash
  113. tezos-crypto < "8.0"
  114. tezos-stdlib < "11.0"
  115. tptp
  116. voqc
  117. why3 >= "0.84" & < "1.0.0"
  118. yices2
  119. yices2_bindings
  120. z3 >= "4.8.7"
  121. zarith-ppx
  122. zenon_modulo
  123. zipperposition < "1.1" | >= "1.5.1" & < "2.1"
  124. zipperposition-tools < "2.1"

Conflicts

None